#ifndef __PLATFORM_INTERRUPTS_H
#define __PLATFORM_INTERRUPTS_H

#include <sys/types.h>

status_t mask_interrupt(unsigned int vector, bool *oldstate);
status_t unmask_interrupt(unsigned int vector, bool *oldstate);

typedef enum handler_return (*int_handler)(void *arg);

void register_int_handler(unsigned int vector, int_handler handler, void *arg);

#endif
